# KDChartTextAttributes.h File Reference

`#include <QDebug>`
`#include <QMetaType>`
`#include "KDChartGlobal.h"`
`#include "KDChartMeasure.h"`

Include dependency graph for KDChartTextAttributes.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | KDChart

## Functions

KDCHART_EXPORT QDebug | operator<< (QDebug, const KDChart::TextAttributes &)
| Q_DECLARE_TYPEINFO (KDChart::TextAttributes, Q_MOVABLE_TYPE)

## Function Documentation

KDCHART_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const KDChart::TextAttributes & |
| ) |

Definition at line 233 of file KDChartTextAttributes.cpp.

References KDChart::TextAttributes::autoRotate(), KDChart::TextAttributes::autoShrink(), KDChart::TextAttributes::font(), KDChart::TextAttributes::fontSize(), KDChart::TextAttributes::isVisible(), KDChart::TextAttributes::minimalFontSize(), KDChart::TextAttributes::pen(), and KDChart::TextAttributes::rotation().

    00234 {
    00235     dbg << "KDChart::TextAttributes("
    00236         << "visible="<<ta.isVisible()
    00237         << "font="<<ta.font().toString() /* What? No QDebug for QFont? */
    00238         << "fontsize="<<ta.fontSize()
    00239         << "minimalfontsize="<<ta.minimalFontSize()
    00240         << "autorotate="<<ta.autoRotate()
    00241         << "autoshrink="<<ta.autoShrink()
    00242         << "rotation="<<ta.rotation()
    00243         << "pen="<<ta.pen()
    00244         << ")";
    00245     return dbg;
    00246 }

Q_DECLARE_TYPEINFO | ( | KDChart::TextAttributes | ,
|  | Q_MOVABLE_TYPE |
| ) |